org.keycloak.models.cache.infinispan

## Class UserCacheManager

- java.lang.Object
- - org.keycloak.models.cache.infinispan.CacheManager
  - - org.keycloak.models.cache.infinispan.UserCacheManager

-     public class UserCacheManager
      extends CacheManager

  Author:
    Stian Thorgersen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `enabled`
    `protected static org.jboss.logging.Logger` | `logger`

    - ### Fields inherited from class org.keycloak.models.cache.infinispan.CacheManager

      `cache, counter, revisions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserCacheManager(org.infinispan.Cache<String,Revisioned> cache, org.infinispan.Cache<String,Long> revisions)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `protected java.util.function.Predicate<Map.Entry<String,Revisioned>>` | `getInvalidationPredicate(Object object)`
    `void` | `invalidateRealmUsers(String realm, Set<String> invalidations)`

    - ### Methods inherited from class org.keycloak.models.cache.infinispan.CacheManager

      `addInvalidations, addRevisioned, bumpVersion, cacheEvicted, cacheInvalidated, endRevisionBatch, get, getCache, getCurrentCounter, getCurrentRevision, invalidateObject, runEvictions`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final org.jboss.logging.Logger logger

    - #### enabled

          protected volatile boolean enabled

  - ### Constructor Detail

    - #### UserCacheManager

          public UserCacheManager(org.infinispan.Cache<String,Revisioned> cache,
                                  org.infinispan.Cache<String,Long> revisions)

  - ### Method Detail

    - #### clear

          public void clear()

      Overrides:
        `clear` in class `CacheManager`

    - #### getInvalidationPredicate

          protected java.util.function.Predicate<Map.Entry<String,Revisioned>> getInvalidationPredicate(Object object)

      Specified by:
        `getInvalidationPredicate` in class `CacheManager`

    - #### invalidateRealmUsers

          public void invalidateRealmUsers(String realm,
                                           Set<String> invalidations)

Copyright © 2016 JBoss by Red Hat. All rights reserved.